Page MenuHomePhabricator

Wikibase Lexeme: security alert digest - hoek npm module in Wikibase Lexeme is a security alert
Closed, ResolvedPublic

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseLexeme : masterUpdate three dependencies in package.json

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 18 2018, 12:33 PM
Reedy added a subscriber: Reedy.May 18 2018, 1:07 PM

Partial dupe of T193469

@Reedy , I get Access Denied: Restricted Task to "T193469"

Reedy added a comment.May 18 2018, 2:53 PM

@Reedy , I get Access Denied: Restricted Task to "T193469"

Security bug :)

Might want to file a request access to security bugs

Lydia_Pintscher merged a task: Restricted Task.May 22 2018, 7:22 PM
Lydia_Pintscher added a subscriber: Smalyshev.
Restricted Application added a project: Wikidata. · View Herald TranscriptMay 22 2018, 7:22 PM
Aklapper renamed this task from Wikibase Lexeme: security alert digest - hoek in Wikibase Lexeme is a security alert to Wikibase Lexeme: security alert digest - hoek npm module in Wikibase Lexeme is a security alert.May 26 2018, 2:45 PM

Change 439623 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Update three dependencies in package.json

https://gerrit.wikimedia.org/r/439623

Change 439623 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Update three dependencies in package.json

https://gerrit.wikimedia.org/r/439623

Should hopefully be improved now, but since I can’t even see the security bug, I don’t want to be the one to close this task.

Ladsgroup closed this task as Resolved.Jun 28 2018, 3:34 PM
Ladsgroup moved this task from incoming to in progress on the Wikidata board.
Ladsgroup added a subscriber: Ladsgroup.

I can see the security bug and I think this part is done.

Addshore added a subscriber: Addshore.EditedJun 29 2018, 7:32 AM

I can see the security bug and I think this part is done.

Added you to T193469 @Ladsgroup & @Lucas_Werkmeister_WMDE

Vvjjkkii renamed this task from Wikibase Lexeme: security alert digest - hoek npm module in Wikibase Lexeme is a security alert to dscaaaaaaa.Jul 1 2018, 1:09 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Lucas_Werkmeister_WMDE as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: Lucas_Werkmeister_WMDE; removed: gerritbot, Aklapper.
CommunityTechBot renamed this task from dscaaaaaaa to Wikibase Lexeme: security alert digest - hoek npm module in Wikibase Lexeme is a security alert.Jul 2 2018, 4:02 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot edited subscribers, added: gerritbot, Aklapper; removed: Lucas_Werkmeister_WMDE.

I can see the security bug and I think this part is done.

Added you to T193469 @Ladsgroup & @Lucas_Werkmeister_WMDE

I have access to all of security issues. I wrote "I can see the security bug" :D